local map = vim.api.nvim_set_keymap
local cmap = vim.keymap.set

local options = { noremap = true }
local cmd_options = { noremap = true, silent = true }


local tele = require('telescope.builtin')

vim.g.mapleader = " "




-- TELESCOPE
cmap("n", "<leader>ff", tele.find_files, options)
cmap("n", "<leader>fg", tele.git_files, options)
cmap("n", "<leader>fg", tele.git_files, options)

cmap("n", "<leader>fs", function()
    tele.grep_string({ search = vim.fn.input("Grep > ") });
end)




map("n", "<leader>tw", "<cmd>lua MiniTrailspace.trim()<CR>", options)
map("n", "<leader>fm", "<cmd>NERDTree<CR>", options)
map("n", "<leader>fc", "<cmd>NERDTreeClose<CR>", options)
map("n", "<leader>tt", "<cmd>12 split <CR><cmd>Tnew<CR>", options)
map("n", "<leader>sc", "<cmd>TSEnable highlight<CR>", options)
map("n", "<leader>zt", "<cmd>Twilight<CR>", options)
map("n", "<leader>zz", "<cmd>ZenMode<CR>", options)
map("n", "<leader>v", "<cmd>vsplit ~/.config/nvim/init.lua<CR>", options)
map("n", "<leader>V", "<cmd>source ~/.config/nvim/init.lua<CR>", options)



map("n", "w", "<Plug>CamelCaseMotion_w", cmd_options)
map("n", "b", "<Plug>CamelCaseMotion_b", cmd_options)
map("n", "e", "<Plug>CamelCaseMotion_e", cmd_options)
map("n", "ge", "<Plug>CamelCaseMotion_ge", cmd_options)


